Package com.independentsoft.office.vml

# Enum Class TextRotation

java.lang.Object
java.lang.Enum<TextRotation>
com.independentsoft.office.vml.TextRotation

All Implemented Interfaces:
  `Serializable`, `Comparable<TextRotation>`, `Constable`

public enum TextRotation extends Enum<TextRotation>
The Enum TextRotation.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `MINUS_NINETY`
  `NINETY`
  `NONE`
  `ONE_HUNDRED_EIGHTY`
  `ZERO`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static TextRotation`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static TextRotation[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### ZERO

    public static final TextRotation ZERO

  - ### NINETY

    public static final TextRotation NINETY

  - ### ONE_HUNDRED_EIGHTY

    public static final TextRotation ONE_HUNDRED_EIGHTY

  - ### MINUS_NINETY

    public static final TextRotation MINUS_NINETY

  - ### NONE

    public static final TextRotation NONE

- ## Method Details

  - ### values

    public static TextRotation[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static TextRotation valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null